// @input SceneObject target
// @input SceneObject arrow

var updateEvent;
var show = false;

function onStart(){
    hideArrow();

    // Add update
    updateEvent = script.createEvent("UpdateEvent");
    updateEvent.bind(onUpdate);
}

onStart();

function onUpdate(){
    if(show && script.target){
        // Face target
        var targetPos = script.target.getTransform().getWorldPosition();
        var pos = script.getTransform().getWorldPosition();
        var fwd = pos.sub(targetPos);
        var rot = quat.lookAt(fwd, vec3.up());
        script.getTransform().setWorldRotation(rot);
    }
}

function showArrow(){
    script.arrow.enabled = true;
    show = true;
}

function hideArrow(){
    script.arrow.enabled = false;
    show = false;
}

// Expose functions to this script's api 
// so they're accessible to other scripts
script.api.showArrow = showArrow;
script.api.hideArrow = hideArrow;
    
